All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business.step.olap
Class DataItemNavigationFilter

    com.sas.iquery.metadata.business.step.olap.DataItemNavigationFilter

All Implemented Interfaces:
  Base, BusinessModelResourceReferencer, ModelItem, StepFilterInterface, StepInterface, UsabilityInterface, PropertyChangeListenee, com.sas.util.LocalizableToStringInterface, java.beans.PropertyChangeListener, java.lang.Cloneable, java.util.EventListener

    public class DataItemNavigationFilter

A step that filters a data item based on a specific kind of navigation on a particular member. There are a few types of navigation filters, each of which returns a different set of members. In order to navigate through the data, a hierarchy filter must be defined, or a hierarchy will need to be specified as part of this filter.

See Also:
  `StepFilterInterface`, `BaseFilter`

Field Summary
`static int` | `ANCESTORS_NAVIGATION_FILTER_TYPE` This navigation filter type returns the ancestors of the member.
`static int` | `CHILDREN_NAVIGATION_FILTER_TYPE` This navigation filter type returns the children of the member.
`static int` | `DESCENDANTS_NAVIGATION_FILTER_TYPE` This navigation filter type returns the descendants of the member.
`static java.lang.String` | `EVENT_LEVEL_NAME_CHANGED` Indication that level name has been changed.
`static java.lang.String` | `EVENT_NAVIGATION_FILTER_TYPE_CHANGED` Indication that navigation filter type has been changed.
`static java.lang.String` | `EVENT_NAVIGATION_MEMBER_NAME_CHANGED` Indication that navigation member name has been changed.
`static int` | `LEAVES_NAVIGATION_FILTER_TYPE` This navigation filter type returns the leaves of the member
`static int` | `LEVEL_NAVIGATION_FILTER_TYPE` This navigation filter type returns the members of a specified level on the branch that contains the member
`static int` | `PARENT_LEVEL_NAVIGATION_FILTER_TYPE` This navigation filter type returns the members of the parent level
`static int` | `PARENT_NAVIGATION_FILTER_TYPE` This navigation filter type returns the parent of the member
`static int` | `ROOTS_NAVIGATION_FILTER_TYPE` This navigation filter type returns the roots of the member
`static int` | `SIBLINGS_NAVIGATION_FILTER_TYPE` This navigation filter type returns the siblings of the member.

Fields inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`EVENT_ACTION_TYPE_CHANGED, EVENT_LOCALIZABLE_LABELS_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.step.StepFilterInterface
`APPEND_ACTION_TYPE, DIFFERENCE_ACTION_TYPE, INITIAL_ACTION_TYPE, INSERT_ACTION_TYPE, INTERSECT_ACTION_TYPE, PREPEND_ACTION_TYPE, SPECIAL_ACTION_TYPE, UNION_ACTION_TYPE`

Fields inherited from interface com.sas.iquery.metadata.business.ModelItem
`EVENT_OBJECT_PROPERTY_CHANGED`

Fields inherited from interface com.sas.iquery.metadata.business.Base
`EVENT_OBJECT_DEFINITION_CHANGED`

Constructor Summary
`DataItemNavigationFilter()` Constructor for persistence use only -- do not use
`DataItemNavigationFilter(int navigationFilterType, java.lang.String navigationName)` This constructor defines a step to create a MDX string that will navigate a cube.
`DataItemNavigationFilter(int navigationFilterType, java.lang.String navigationName, ExpressionInterface level)` This constructor defines a step to create a MDX string that will navigate a cube.
`DataItemNavigationFilter(int navigationFilterType, java.lang.String navigationName, java.lang.String levelName)` Deprecated. use DataItemNavigationFilter(int navigationFilterType, String navigationName ExpressionInterface level)

Method Summary
`ExpressionInterface` | `getLevel()` This method defines the name of the level to be used when navigating to a particular branch of a Level.
`java.lang.String` | `getLevelName()` This method returns the name of the level to be used when navigating to a particular branch of a Level.
`java.util.Locale` | `getMemberLocale()` Get the locale that is associated with the member names for this step.
`int` | `getNavigationFilterType()` This method returns the type of navigation filter that is used.
`java.lang.String` | `getNavigationName()` This method returns the name of the member or hierarchy unique level name to be used for filtering.
`void` | `setLevel(ExpressionInterface level)` This method defines the level to be used when navigating to a particular branch of a Level.
`void` | `setLevelName(java.lang.String levelName)` Deprecated. use setLevel
`void` | `setNavigationFilterType(int type)` This method defines the type of navigation filter to be applied.
`void` | `setNavigationMemberName(java.lang.String navigationName)` This method defines the name of the member to use for filtering.
`void` | `setNavigationMemberName(java.lang.String navigationName, java.util.Locale locale)` This method defines the name of the member to use for filtering.

Methods inherited from class com.sas.iquery.metadata.business.step.olap.BaseFilter
`getActionType, getDisplayedText, getLevels, setActionType`

Methods inherited from interface com.sas.iquery.metadata.business.BusinessModelResourceReferencer
`getResources`

Methods inherited from interface com.sas.iquery.metadata.PropertyChangeListenee
`addListener, getListeners, removeListener`

Methods inherited from interface com.sas.iquery.metadata.business.UsabilityInterface
`getReasonsUnusable, isUsableInQuery`

Field Detail

### EVENT_LEVEL_NAME_CHANGED

    public static final java.lang.String EVENT_LEVEL_NAME_CHANGED

  Indication that level name has been changed.

  See Also:
    Constant Field Values

### EVENT_NAVIGATION_FILTER_TYPE_CHANGED

    public static final java.lang.String EVENT_NAVIGATION_FILTER_TYPE_CHANGED

  Indication that navigation filter type has been changed.

  See Also:
    Constant Field Values

### EVENT_NAVIGATION_MEMBER_NAME_CHANGED

    public static final java.lang.String EVENT_NAVIGATION_MEMBER_NAME_CHANGED

  Indication that navigation member name has been changed.

  See Also:
    Constant Field Values

### PARENT_NAVIGATION_FILTER_TYPE

    public static final int PARENT_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the parent of the member

  See Also:
    Constant Field Values

### ANCESTORS_NAVIGATION_FILTER_TYPE

    public static final int ANCESTORS_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the ancestors of the member. This type would be used to drill up one level or to a specific level.

  See Also:
    Constant Field Values

### DESCENDANTS_NAVIGATION_FILTER_TYPE

    public static final int DESCENDANTS_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the descendants of the member. This type would be used to drill down one level or to a specific level.

  See Also:
    Constant Field Values

### SIBLINGS_NAVIGATION_FILTER_TYPE

    public static final int SIBLINGS_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the siblings of the member. This type would be used to go across levels.

  See Also:
    Constant Field Values

### CHILDREN_NAVIGATION_FILTER_TYPE

    public static final int CHILDREN_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the children of the member. This type would be used to drill down on level.

  See Also:
    Constant Field Values

### ROOTS_NAVIGATION_FILTER_TYPE

    public static final int ROOTS_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the roots of the member

  See Also:
    Constant Field Values

### LEAVES_NAVIGATION_FILTER_TYPE

    public static final int LEAVES_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the leaves of the member

  See Also:
    Constant Field Values

### LEVEL_NAVIGATION_FILTER_TYPE

    public static final int LEVEL_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the members of a specified level on the branch that contains the member

  See Also:
    Constant Field Values

### PARENT_LEVEL_NAVIGATION_FILTER_TYPE

    public static final int PARENT_LEVEL_NAVIGATION_FILTER_TYPE

  This navigation filter type returns the members of the parent level

  See Also:
    Constant Field Values

Constructor Detail

### DataItemNavigationFilter

    public DataItemNavigationFilter()

  Constructor for persistence use only -- do not use

### DataItemNavigationFilter

    public DataItemNavigationFilter(int navigationFilterType,
                                    java.lang.String navigationName)

  This constructor defines a step to create a MDX string that will navigate a cube.

  Parameters:
    `navigationFilterType` - The actionType defining how navigation will be defined.
    `hieararchy` -

### DataItemNavigationFilter

    @Deprecated
    public DataItemNavigationFilter(int navigationFilterType,
                                               java.lang.String navigationName,
                                               java.lang.String levelName)

  Deprecated. use DataItemNavigationFilter(int navigationFilterType, String navigationName ExpressionInterface level)

  This constructor defines a step to create a MDX string that will navigate a cube.

  Parameters:
    `navigationFilterType` - The actionType defining how navigation will be defined.
    `navigationName` - Defines r a hierarchy unique name such as [TIME]
    `levelName` - Defines hierarchy level name such as [QUARTER]

### DataItemNavigationFilter

    public DataItemNavigationFilter(int navigationFilterType,
                                    java.lang.String navigationName,
                                    ExpressionInterface level)

  This constructor defines a step to create a MDX string that will navigate a cube.

  Parameters:
    `navigationFilterType` - The actionType defining how navigation will be defined.
    `navigationName` - Defines a hierarchy unique name such as [TIME]
    `level` - Defines level name such as [QUARTER]

Method Detail

### setNavigationFilterType

    public void setNavigationFilterType(int type)

  This method defines the type of navigation filter to be applied.

  Parameters:
    `type` - The type of navigation filter to be applied

### getNavigationFilterType

    public int getNavigationFilterType()

  This method returns the type of navigation filter that is used.

  Returns:
    The type of navigation filter

### getMemberLocale

    public java.util.Locale getMemberLocale()

  Get the locale that is associated with the member names for this step.

  Returns:

### setNavigationMemberName

    public void setNavigationMemberName(java.lang.String navigationName)

  This method defines the name of the member to use for filtering.

  Parameters:
    `navigationName` - The name of the member to be used for filtering

### setNavigationMemberName

    public void setNavigationMemberName(java.lang.String navigationName,
                                        java.util.Locale locale)

  This method defines the name of the member to use for filtering.

  Parameters:
    `navigationName` - The name of the member to be used for filtering

### getNavigationName

    public java.lang.String getNavigationName()

  This method returns the name of the member or hierarchy unique level name to be used for filtering.

  Returns:
    The name of the member or hierarchy unique level name

### setLevelName

    @Deprecated
    public void setLevelName(java.lang.String levelName)

  Deprecated. use setLevel

  This method defines the name of the level to be used when navigating to a particular branch of a Level. This only applies when the NavigationFilter type is set to LEVEL_NAVIGATION_FILTER_TYPE.

  Parameters:
    `levelName` - The name of the level to be used when navigating to a particular branch of a Level.

### setLevel

    public void setLevel(ExpressionInterface level)

  This method defines the level to be used when navigating to a particular branch of a Level. This only applies when the NavigationFilter type is set to LEVEL_NAVIGATION_FILTER_TYPE.

  Parameters:
    `level` -

### getLevel

    public ExpressionInterface getLevel()

  This method defines the name of the level to be used when navigating to a particular branch of a Level. This only applies when the NavigationFilter type is set to LEVEL_NAVIGATION_FILTER_TYPE.

  Parameters:
    `level` -

### getLevelName

    public java.lang.String getLevelName()

  This method returns the name of the level to be used when navigating to a particular branch of a Level. This only applies when the NavigationFilter type is set to LEVEL_NAVIGATION_FILTER_TYPE.

  Returns:
    The name of the level to be used when navigating to a particular branch of a Level.

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.